Package mvpa :: Package clfs :: Module kernel :: Class KernelConstant

[hide private]
[frames] | no frames]

# Class KernelConstant

source code

The constant kernel class.

Instance Methods | [hide private]

__init__(self, sigma_0=1.0, **kwargs) Initialize the constant kernel instance. | source code

__repr__(self) repr(x) | source code

compute(self, data1, data2=None) Compute kernel matrix. | source code

set_hyperparameters(self, hyperparameter) | source code

compute_lml_gradient(self, alphaalphaT_Kinv, data) | source code

compute_lml_gradient_logscale(self, alphaalphaT_Kinv, data) | source code

Inherited from `Kernel`: `compute_gradient`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, sigma_0=1.0, **kwargs)
(Constructor)

source code

Initialize the constant kernel instance.

Parameters:
  - `sigma_0` (float) - standard deviation of the Gaussian prior probability N(0,sigma_0**2) of the intercept of the constant regression. (Defaults to 1.0)
Overrides: object.__init__

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### compute(self, data1, data2=None)

source code

Compute kernel matrix.

Parameters:
  - `data1` (numpy.ndarray) - data
  - `data2` (numpy.ndarray) - data (Defaults to None)
Overrides: Kernel.compute

### compute_lml_gradient(self, alphaalphaT_Kinv, data)

source code

Overrides: Kernel.compute_lml_gradient

### compute_lml_gradient_logscale(self, alphaalphaT_Kinv, data)

source code

Overrides: Kernel.compute_lml_gradient_logscale